knpu_oauth2_client:
    clients:
        # This key 'keycloak' is what you'll use in your code
        keycloak:
            type: keycloak
            # All these should be stored in your .env file
            auth_server_url: '%env(KEYCLOAK_AUTH_SERVER_URL)%'
            realm: '%env(KEYCLOAK_REALM)%'
            client_id: '%env(KEYCLOAK_CLIENT_ID)%'
            client_secret: '%env(KEYCLOAK_CLIENT_SECRET)%'
            # The route name where Keycloak will redirect the user back to
            redirect_route: connect_keycloak_check
            redirect_params: {}
        keycloak_etl:
            type: keycloak
            # All these should be stored in your .env file
            auth_server_url: '%env(KEYCLOAK_AUTH_SERVER_URL)%'
            realm: '%env(KEYCLOAK_REALM)%'
            client_id: '%env(KEYCLOAK_CLIENT_ID)%'
            client_secret: '%env(KEYCLOAK_CLIENT_SECRET)%'
            # The route name where Keycloak will redirect the user back to
            redirect_route: connect_keycloak_etl_check
            redirect_params: {}
